## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _description %{expand:
This Python module contain freestanding implementations of electrostatic
forward models incorporated in LFPy (https://github.com/LFPy/LFPy,
https://LFPy.readthedocs.io).

The aim of the LFPykit module is to provide electrostatic models in a manner
that facilitates forward-model predictions of extracellular potentials and
related measures from multicompartment neuron models, but without explicit
dependencies on neural simulation software such as NEURON
(https://neuron.yale.edu, https://github.com/neuronsimulator/nrn), Arbor
(https://arbor.readthedocs.io, https://github.com/arbor-sim/arbor), or even
LFPy. The LFPykit module can then be more easily incorporated with these
simulators, or in various projects that utilize them such as LFPy
(https://LFPy.rtfd.io, https://github.com/LFPy/LFPy). BMTK
(https://alleninstitute.github.io/bmtk/,
https://github.com/AllenInstitute/bmtk), etc.

Its main functionality is providing class methods that return two-dimensional
linear transformation matrices M between transmembrane currents I of
multicompartment neuron models and some measurement Y given by Y=MI.

The presently incorporated volume conductor models have been incorporated in
LFPy (https://LFPy.rtfd.io, https://github.com/LFPy/LFPy), as described in
various papers and books:

- Linden H, Hagen E, Leski S, Norheim ES, Pettersen KH, Einevoll GT (2014) LFPy:
a tool for biophysical simulation of extracellular potentials generated by
detailed model neurons. Front. Neuroinform. 7:41. doi: 10.3389/fninf.2013.00041

- Hagen E, Næss S, Ness TV and Einevoll GT (2018) Multimodal Modeling of Neural
Network Activity: Computing LFP, ECoG, EEG, and MEG Signals With LFPy 2.0.
Front. Neuroinform. 12:92. doi: 10.3389/fninf.2018.00092

- Ness, T. V., Chintaluri, C., Potworowski, J., Leski, S., Glabska, H., Wójcik,
D. K., et al. (2015). Modelling and analysis of electrical potentials recorded
in microelectrode arrays (MEAs). Neuroinformatics 13:403–426. doi:
10.1007/s12021-015-9265-6

- Nunez and Srinivasan, Oxford University Press, 2006

- Næss S, Chintaluri C, Ness TV, Dale AM, Einevoll GT and Wójcik DK (2017).
Corrected Four-sphere Head Model for EEG Signals. Front. Hum. Neurosci. 11:490.
doi: 10.3389/fnhum.2017.00490}

Name:           python-lfpykit
Version:        0.5.1
Release:        %autorelease
Summary:        Electrostatic models for multicompartment neuron models

License:        GPL-3.0-or-later
URL:            https://pypi.org/pypi/LFPykit
Source0:        %{pypi_source LFPykit}

BuildArch:      noarch

%description %_description

%package -n python3-lfpykit
Summary:        %{summary}
BuildRequires:  python3-devel

%description -n python3-lfpykit %_description

%package doc
Summary:        %{summary}

%description doc
Documentation for %{name}.

%prep
%autosetup -n LFPykit-%{version}

find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} 2>/dev/null ';'

%generate_buildrequires
%pyproject_buildrequires -x tests

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files lfpykit

%check
%pyproject_check_import
%{pytest}

%files -n python3-lfpykit -f %{pyproject_files}
%doc README.md

%files doc
%license LICENSE
%doc examples

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 10 2024 Python Maint <python-maint@redhat.com> - 0.5.1-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Aug 14 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.5.1-1
- feat: update to 0.5.1 (fixes rhbz#2186124)

* Mon Aug 14 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.5-4
- chore(packit): add config

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 30 2023 Python Maint <python-maint@redhat.com> - 0.5-2
- Rebuilt for Python 3.12

* Tue Feb 07 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.5-1
- feat: update to 0.5 (fixes rhbz#2153621)

* Tue Feb 07 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.4-5
- feat: use spdx license term

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Python Maint <python-maint@redhat.com> - 0.4-2
- Rebuilt for Python 3.11

* Wed Feb 23 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.4-1
- feat: update to 0.4

* Wed Feb 23 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.3-7
- feat: use pyproject rpm macros

* Wed Feb 23 2022 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3-4
- spec clean ups

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jul 01 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3-2
- Use lowername for sub package

* Sun Jun 27 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3-1
- Initial package

## END: Generated by rpmautospec
